<?php
	add_action( 'plugins_loaded', 'rem_custom_actions_filters' );
	add_filter( 'rem_property_settings_fields_builtin', 'rem_filter_through_builtin_fields', 20, 1 );

	function rem_custom_actions_filters(){

        /***********************************************************************************************/
        /* Related to single property template */
        /***********************************************************************************************/
		global $rem_hk_ob;

        /**
         * Uncomment following line to remove property gallery slider from single property page 
         */
        
		// remove_action( 'rem_single_property_slider', array($rem_hk_ob, 'single_property_slider' ), 10 );

        /**
         * Uncomment following line to remove property content section from single property page 
         */
        
		// remove_action( 'rem_single_property_contents', array($rem_hk_ob, 'single_property_contents' ), 20 );

        /**
         * Uncomment following line to remove property details section from single property page 
         */
        
		// remove_action( 'rem_single_property_contents', array($rem_hk_ob, 'single_property_details' ), 30 );

        /**
         * Uncomment following line to remove property features section from single property page 
         */
        
		// remove_action( 'rem_single_property_contents', array($rem_hk_ob, 'single_property_features' ), 40 );

        /**
         * Uncomment following line to remove property attachments section from single property page 
         */
        
		// remove_action( 'rem_single_property_contents', array($rem_hk_ob, 'single_property_attachments' ), 45 );

        /**
         * Uncomment following line to remove property video section from single property page 
         */
        
		// remove_action( 'rem_single_property_contents', array($rem_hk_ob, 'single_property_video' ), 50 );

        /**
         * Uncomment following line to remove property map section from single property page 
         */
        
		// remove_action( 'rem_single_property_contents', array($rem_hk_ob, 'single_property_map' ), 60 );

        /**
         * Uncomment following line to remove property tags section from single property page 
         */
        
		// remove_action( 'rem_single_property_contents', array($rem_hk_ob, 'single_property_tags' ), 70 );

	}

	/**
	 * Remove Specific Fields that are builtin
	 */
	function rem_filter_through_builtin_fields($fields){

		/**
		 * Uncomment or add the field names in following array to remove that fields
		 * @var array
		 */
		$fields_exclude = array(
			// 'property_type',
			// 'property_purpose',
			// 'property_status',
		);

		foreach ($fields as $key => $field) {
			if (in_array($field['key'], $fields_exclude)) {
				unset($fields[$key]);
			}
		}

		return $fields;
	}
?>